Security Enhanced Linux Reference Policy

# Layer: services

## Module: snmp

Interfaces

### Description:

Simple network management protocol services.

### Interfaces:

snmp_admin( domain , role )

##### Summary

All of the rules required to administrate an snmp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

snmp_dontaudit_read_snmp_var_lib_files( domain )

##### Summary

Do not audit attempts to read snmpd lib content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

snmp_dontaudit_write_snmp_var_lib_files( domain )

##### Summary

Do not audit attempts to write snmpd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

snmp_manage_var_lib_dirs( domain )

##### Summary

Create, read, write, and delete snmp lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_manage_var_lib_files( domain )

##### Summary

Create, read, write, and delete snmp lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_read_snmp_var_lib_files( domain )

##### Summary

Read snmpd lib content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_stream_connect( domain )

##### Summary

Connect to snmpd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmp_tcp_connect( domain )

##### Summary

Connect to snmp over the TCP network.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmpd_enabledisable( domain )

##### Summary

Allow specified domain to enable and disable snmpd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmpd_reload( domain )

##### Summary

Allow specified domain to reload snmpd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmpd_startstop( domain )

##### Summary

Allow specified domain to start and stop snmpd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

snmpd_status( domain )

##### Summary

Allow specified domain to get status of snmpd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return